## spacebar 6.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

set(PROJECT_VERSION "6.6.1")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)

set(PROJECT_DEP_VERSION "6.6.1")
set(QT_MIN_VERSION "6.10.0")
set(KF6_MIN_VERSION "6.22.0")
set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

project(spacebar VERSION ${PROJECT_VERSION})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

################# set KDE specific information #################
find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
find_package(PkgConfig REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX SPACEBAR
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

################# Find dependencies #################
find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Concurrent Gui Qml Quick QuickControls2 Widgets Sql)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Contacts People Notifications Config CoreAddons DBusAddons ModemManagerQt KIO WindowSystem Crash)
find_package(KF6KirigamiAddons 1.4 REQUIRED)
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)
find_package(CURL REQUIRED)
pkg_search_module(c-ares libcares REQUIRED IMPORTED_TARGET)
find_package(FutureSQL6 REQUIRED)
find_package(QCoro6 COMPONENTS Core DBus REQUIRED)

kde_enable_exceptions()
qcoro_enable_coroutines()

################# build and install #################
add_subdirectory(lib)
add_subdirectory(daemon)
add_subdirectory(src)
add_subdirectory(test)

ki18n_install(po)

install(PROGRAMS org.kde.spacebar.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.spacebar.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.spacebar.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES spacebar.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
spacebar (1:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:18:08 +0000

spacebar (1:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:17:09 +0000

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.22.0~),
               kirigami-addons-dev (>= 1.4~),
               kirigami2-dev (>= 5.102.0~),
               libc-ares-dev,
               libcurl4-gnutls-dev,
               libfuturesql6-dev,
               libkf6config-dev (>= 6.22.0~),
               libkf6contacts-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6crash-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6modemmanagerqt-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6people-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libkirigami-dev (>= 6.22.0~),
               libphonenumber-dev,
               pkg-kde-tools,
               pkgconf,
               qcoro-qt6-dev,
               qt6-5compat-dev,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma-mobile/spacebar
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spacebar
Rules-Requires-Root: no

Package: spacebar
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Recommends: qml6-module-org-kde-breeze, qt6-wayland,
Description: SMS/MMS application for Plasma Mobile
 Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
 It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and
 ModemManagerQt).

## spacebar 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16.0)
 
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
 list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
 list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
 list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.2.0")

=== debian/changelog ===
spacebar (1:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:25:51 +0000

## spacebar 22.11

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.88.0~),
               kirigami2-dev (>= 5.88.0~),
               libc-ares-dev,
               libcurl4-gnutls-dev,
               libkf5config-dev (>= 5.88.0~),
               libkf5contacts-dev (>= 5:5.88.0~),
               libkf5dbusaddons-dev (>= 5.88.0~),
               libkf5i18n-dev (>= 5.88.0~),
               libkf5kio-dev (>= 5.88.0~),
               libkf5notifications-dev (>= 5.88.0~),
               libkf5people-dev (>= 5.88.0~),
               libphonenumber-dev,
               modemmanager-qt-dev (>= 5.88.0~),
               pkg-config,
               pkg-kde-tools,
               qcoro-qt5-dev,
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~)
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma-mobile/spacebar
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/spacebar
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/spacebar.git
Rules-Requires-Root: no

Package: spacebar
Architecture: any
Multi-Arch: foreign
Depends: qml-module-org-kde-kirigami2 (>= 5.88.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.88.0~),
         qml-module-org-kde-people (>= 5.88.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-extras (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SMS/MMS application for Plasma Mobile
 Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
 It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and
 ModemManagerQt).

## spacebar 23.01.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

set(KF5_MIN_VERSION "5.102.0")
set(QT_MIN_VERSION "5.15.0")

set(PROJECT_VERSION "23.01")
project(spacebar VERSION ${PROJECT_VERSION})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

################# set KDE specific information #################
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
find_package(PkgConfig REQUIRED)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX SPACEBAR
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

################# Find dependencies #################
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Concurrent Gui Qml Quick QuickControls2 Widgets Sql Xml)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 I18n Contacts People Notifications Config CoreAddons DBusAddons ModemManagerQt KIO)
find_package(Qt${QT_MAJOR_VERSION}QuickCompiler)
find_package(KF5KirigamiAddons 0.6 REQUIRED)
find_package(PhoneNumber COMPONENTS PhoneNumber REQUIRED)
find_package(CURL REQUIRED)
pkg_search_module(c-ares libcares REQUIRED IMPORTED_TARGET)
find_package(QCoro${QT_MAJOR_VERSION} COMPONENTS Core DBus REQUIRED)

qcoro_enable_coroutines()

################# build and install #################
add_subdirectory(lib)
add_subdirectory(daemon)
add_subdirectory(src)

ki18n_install(po)

install(PROGRAMS org.kde.spacebar.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.spacebar.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.spacebar.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
install(FILES spacebar.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== daemon/CMakeLists.txt ===
set(spacebar_daemon_SRCS
    main.cpp
    channellogger.cpp
    ecurl.cpp
)

# generate DBus adaptor xml
qt_generate_dbus_interface(
    ${CMAKE_CURRENT_SOURCE_DIR}/channellogger.h
    org.kde.spacebar.Daemon.xml
    OPTIONS -s -m -P
)

# use generated DBus adapator xml to generate adaptor source code
qt_add_dbus_adaptor(spacebar_daemon_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.spacebar.Daemon.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/channellogger.h ChannelLogger
)

add_executable(spacebar-daemon ${spacebar_daemon_SRCS})

kconfig_add_kcfg_files(spacebar-daemon ../src/settingsmanager.kcfgc GENERATE_MOC)

target_compile_definitions(spacebar-daemon PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(spacebar-daemon
    Qt::Concurrent
    Qt::Core
    Qt::Sql
    Qt::DBus
    KF5::I18n
    KF5::ConfigGui
    KF5::DBusAddons
    KF5::Notifications
    KF5::ModemManagerQt
    database
    kTelephonySupport
    macros
    mms
    CURL::libcurl
    PkgConfig::c-ares
    QCoro::Core
)


configure_file(daemon-autostart.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop)

install(TARGETS spacebar-daemon DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/daemon-autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR} RENAME org.kde.spacebar.daemon.desktop)

=== lib/CMakeLists.txt ===
add_library(macros STATIC global.h)
target_include_directories(macros PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(telephonySupport)
add_subdirectory(database)
add_subdirectory(mms)

=== src/CMakeLists.txt ===
set(spacebar_SRCS
    main.cpp
    about.cpp
    chatlistmodel.cpp
    messagemodel.cpp
    utils.cpp
    databasethread.cpp
    asyncdatabase.cpp
    channelhandler.cpp
)

set(DaemonXML ${CMAKE_CURRENT_BINARY_DIR}/../daemon/org.kde.spacebar.Daemon.xml)
qt_add_dbus_interface(spacebar_SRCS ${DaemonXML} daemoninterface)

if(QT_MAJOR_VERSION STREQUAL "5")
    qtquick_compiler_add_resources(RESOURCES resources.qrc)
else()
    qt_add_resources(RESOURCES resources.qrc)
endif()

add_executable(spacebar ${spacebar_SRCS} ${RESOURCES})

kconfig_add_kcfg_files(spacebar settingsmanager.kcfgc GENERATE_MOC)

add_dependencies(spacebar spacebar-daemon)

target_include_directories(spacebar PRIVATE ${CMAKE_BINARY_DIR})
target_compile_definitions(spacebar PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(spacebar
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Sql
    Qt::Widgets
    Qt::DBus
    KF5::ConfigGui
    KF5::CoreAddons
    KF5::I18n
    KF5::Contacts
    KF5::People
    KF5::PeopleBackend
    KF5::KIOGui
    database
    kTelephonySupport
    macros
    QCoro::Core
    QCoro::DBus
)

install(TARGETS spacebar ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== lib/database/CMakeLists.txt ===
add_library(database STATIC database.cpp)
target_compile_definitions(database PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(database PUBLIC Qt::Core Qt::Sql Qt::DBus macros kTelephonySupport)
target_include_directories(database PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== lib/mms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Michael Lang <criticaltemp@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

add_library(mms STATIC mms.cpp)
kconfig_add_kcfg_files(mms ../../src/settingsmanager.kcfgc GENERATE_MOC)
target_compile_definitions(mms PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(mms PUBLIC Qt::Core KF5::ConfigGui macros kTelephonySupport)

target_include_directories(mms PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== lib/telephonySupport/CMakeLists.txt ===
add_library(kTelephonySupport STATIC
    avatarimageprovider.cpp
    contactphonenumbermapper.cpp
    modemcontroller.cpp
    phonenumber.cpp
    phonenumberlist.cpp)
target_compile_definitions(kTelephonySupport PRIVATE -DQT_NO_CAST_FROM_ASCII)
target_link_libraries(kTelephonySupport PUBLIC
    Qt::Core
    Qt::Quick
    KF5::People
    KF5::PeopleBackend
    KF5::ModemManagerQt
    PhoneNumber::PhoneNumber
    macros)
target_include_directories(kTelephonySupport PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== debian/control ===
Source: spacebar
Section: kde
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
           Arnaud Ferraris <aferraris@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               kirigami-addons5-dev (>= 0.6~),
               kirigami2-dev (>= 5.102.0~),
               libc-ares-dev,
               libcurl4-gnutls-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5contacts-dev (>= 5:5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5people-dev (>= 5.102.0~),
               libphonenumber-dev,
               modemmanager-qt-dev (>= 5.102.0~),
               pkgconf,
               pkg-kde-tools,
               qcoro-qt5-dev,
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~)
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/spacebar
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/spacebar
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/spacebar.git
Rules-Requires-Root: no

Package: spacebar
Architecture: any
Multi-Arch: foreign
Depends: qml-module-org-kde-kirigami2 (>= 5.102.0~),
         qml-module-org-kde-kirigami-addons-labs-mobileform,
         qml-module-org-kde-kquickcontrolsaddons (>= 5.102.0~),
         qml-module-org-kde-people (>= 5.102.0~),
         qml-module-qtquick-controls2 (>= 5.15.0~),
         qml-module-qtquick-extras (>= 5.15.0~),
         qml-module-qtquick-layouts (>= 5.15.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: SMS/MMS application for Plasma Mobile
 Spacebar is an SMS/MMS application that primarily targets Plasma Mobile.
 It depends on Qt and few KDE Frameworks (Kirigami2, KI18n, KPeople, and
 ModemManagerQt).
